<template>
  <section class="mt-10">
    <AuthWrapper
      :title="$t('verification_code')"
      :description="$t('verification_description')"
    >
      <AuthFormsVerify @verifycode="submited" :loading="loading" />
    </AuthWrapper>
  </section>
</template>



<script setup>
import useApi from "@/composables/useApi";
import { useRouter } from "vue-router";
definePageMeta({
  middleware: ["guest"],
});
const router = useRouter();
const { post, loading } = useApi();
const localePath = useLocalePath()


const submited = async (value) => {
  try {
    const { data } = await post("verify-forgot-password", {
      code: value,
      email: localStorage.getItem("email"),
    });
    localStorage.setItem("code", value);
    router.push(localePath("/new-password"));
  } catch (error) {
    console.error("Error verifying registration:", error);
  }
};
</script>